Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 252)
@@ -60,7 +60,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 行動予定検索
         /// <summary>
         /// 行動予定検索
         /// </summary>
@@ -70,30 +70,30 @@
         public bool SelectAction(string AddSQLString, ref List<TermMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = "SELECT";
-                strcmd += "  ConstructionStatusFlg";
-                strcmd += " ,FieldNo";
-                strcmd += " ,SeqNo";
-                strcmd += " ,DisplayOrder";
-                strcmd += " ,CheckSchdule";
-                strcmd += " ,TermDays";
-                strcmd += " ,SendTitile";
-                strcmd += " ,SendMessage";
-                strcmd += " ,BackColor";
-                strcmd += " ,ForeColor";
-                strcmd += " ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM TermMaster";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append("  ConstructionStatusFlg");
+                strcmd.Append(" ,FieldNo");
+                strcmd.Append(" ,SeqNo");
+                strcmd.Append(" ,DisplayOrder");
+                strcmd.Append(" ,CheckSchdule");
+                strcmd.Append(" ,TermDays");
+                strcmd.Append(" ,SendTitile");
+                strcmd.Append(" ,SendMessage");
+                strcmd.Append(" ,BackColor");
+                strcmd.Append(" ,ForeColor");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM TermMaster");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -107,107 +107,121 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 行動予定追加（1件）
         /// <summary>
-        /// 行動予定追加
+        /// 行動予定追加（1件）
         /// </summary>
         /// <param name="data">行動予定データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool OneRecInsertAction(TermMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO TermMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO TermMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" {0}", data.ConstructionStatusFlg.ToString());
-                strcmd += string.Format(",{0}", data.FieldNo.ToString());
-                strcmd += string.Format(",{0}", data.SeqNo.ToString());
-                strcmd += string.Format(",{0}", data.DisplayOrder);
-                strcmd += string.Format(",{0}", data.CheckSchdule.ToString());
-                strcmd += string.Format(",{0}", data.TermDays.ToString());
-                strcmd += string.Format(",'{0}'", data.SendTitle);
-                strcmd += string.Format(",'{0}'", data.SendMessage);
-                strcmd += string.Format(",'{0}'", data.BackColor);
-                strcmd += string.Format(",'{0}'", data.ForeColor);
+                strcmd.AppendFormat(" {0}", data.ConstructionStatusFlg.ToString());
+                strcmd.AppendFormat(",{0}", data.FieldNo.ToString());
+                strcmd.AppendFormat(",{0}", data.SeqNo.ToString());
+                strcmd.AppendFormat(",{0}", data.DisplayOrder);
+                strcmd.AppendFormat(",{0}", data.CheckSchdule.ToString());
+                strcmd.AppendFormat(",{0}", data.TermDays.ToString());
+                strcmd.AppendFormat(",'{0}'", data.SendTitle);
+                strcmd.AppendFormat(",'{0}'", data.SendMessage);
+                strcmd.AppendFormat(",'{0}'", data.BackColor);
+                strcmd.AppendFormat(",'{0}'", data.ForeColor);
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 行動予定追加
+        /// <summary>
+        /// 行動予定追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool InsertAction(List<TermMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO TermMaster";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO TermMaster");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (TermMaster work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" {0}", work.ConstructionStatusFlg.ToString());
-                    strcmd += string.Format(",{0}", work.FieldNo.ToString());
-                    strcmd += string.Format(",{0}", work.SeqNo.ToString());
-                    strcmd += string.Format(",{0}", work.DisplayOrder);
-                    strcmd += string.Format(",{0}", work.CheckSchdule.ToString());
-                    strcmd += string.Format(",{0}", work.TermDays.ToString());
-                    strcmd += string.Format(",'{0}'", work.SendTitle);
-                    strcmd += string.Format(",'{0}'", work.SendMessage);
-                    strcmd += string.Format(",'{0}'", work.BackColor);
-                    strcmd += string.Format(",'{0}'", work.ForeColor);
+                    strcmd.AppendFormat(" {0}", work.ConstructionStatusFlg.ToString());
+                    strcmd.AppendFormat(",{0}", work.FieldNo.ToString());
+                    strcmd.AppendFormat(",{0}", work.SeqNo.ToString());
+                    strcmd.AppendFormat(",{0}", work.DisplayOrder);
+                    strcmd.AppendFormat(",{0}", work.CheckSchdule.ToString());
+                    strcmd.AppendFormat(",{0}", work.TermDays.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.SendTitle);
+                    strcmd.AppendFormat(",'{0}'", work.SendMessage);
+                    strcmd.AppendFormat(",'{0}'", work.BackColor);
+                    strcmd.AppendFormat(",'{0}'", work.ForeColor);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 行動予定更新
         /// <summary>
         /// 行動予定更新
         /// </summary>
@@ -216,40 +230,41 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, TermMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE TermMaster";
+                strcmd.Append("UPDATE TermMaster");
 
-                strcmd += " SET";
-                strcmd += string.Format(" ConstructionStatusFlg = {0}", data.ConstructionStatusFlg.ToString());
-                strcmd += string.Format(",FieldNo = {0}", data.FieldNo.ToString());
-                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder);
-                strcmd += string.Format(",CheckSchdule = {0}", data.CheckSchdule.ToString());
+                strcmd.Append(" SET");
+                strcmd.AppendFormat(" ConstructionStatusFlg = {0}", data.ConstructionStatusFlg.ToString());
+                strcmd.AppendFormat(",FieldNo = {0}", data.FieldNo.ToString());
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder);
+                strcmd.AppendFormat(",CheckSchdule = {0}", data.CheckSchdule.ToString());
 
-                strcmd += string.Format(",TermDays = {0}", data.TermDays.ToString());
-                strcmd += string.Format(",SendTitile = '{0}'", data.SendTitle);
-                strcmd += string.Format(",SendMessage = '{0}'", data.SendMessage);
-                strcmd += string.Format(",BackColor = '{0}'", data.BackColor);
-                strcmd += string.Format(",ForeColor = '{0}'", data.ForeColor);
+                strcmd.AppendFormat(",TermDays = {0}", data.TermDays.ToString());
+                strcmd.AppendFormat(",SendTitile = '{0}'", data.SendTitle);
+                strcmd.AppendFormat(",SendMessage = '{0}'", data.SendMessage);
+                strcmd.AppendFormat(",BackColor = '{0}'", data.BackColor);
+                strcmd.AppendFormat(",ForeColor = '{0}'", data.ForeColor);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 行動予定削除
         /// <summary>
         /// 行動予定削除
         /// </summary>
@@ -259,22 +274,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM TermMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM TermMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 構造体へセットする
         /// <summary>
         /// 構造体へセットする
         /// </summary>
@@ -309,11 +326,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -321,23 +336,26 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ConstructionStatusFlg, int FieldNo = 0, int SeqNo = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ConstructionStatusFlg = {0}", ConstructionStatusFlg.ToString());
+                strWork.AppendFormat(" Where ConstructionStatusFlg = {0}", ConstructionStatusFlg.ToString());
                 if (FieldNo != 0)
-                    strWork += string.Format(" And FieldNo = {0}", FieldNo.ToString());
+                    strWork.AppendFormat(" And FieldNo = {0}", FieldNo.ToString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo.ToString());
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
+        #endregion
+
+        #region 区分別の最大値を取得する
         /// <summary>
         /// 区分別の最大値を取得する
         /// </summary>
@@ -347,16 +365,16 @@
         public int GetMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM TermMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM TermMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -369,7 +387,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
